using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Extensions.Configuration;

namespace DAS
{
    public class DASConfiguration
    {
        private readonly IConfiguration _config;
        public DASConfiguration(IConfiguration config)
        {
            _config = config;
        }
        public string GetConnectionString(string name)
        {
            return _config.GetConnectionString(name);
        }
        public void TestConexion()
        {
            string cadena = _config.GetConnectionString("DefaultConnection");
            Console.WriteLine("[DAS] Cadena desde DAS: " + cadena);
        }
    }
}
